import { ActiveRecord, RuntimeO2MField, SubmitValue } from '@oinone/kunlun-engine';
import { CallChaining } from '@oinone/kunlun-shared';
import { AsyncFormSubviewListFieldWidget } from '../../../basic';
import { ModelTableWidget, PermissionTableWidget } from './internal-widget';
export declare class FieldPermissionWidget extends AsyncFormSubviewListFieldWidget<RuntimeO2MField> {
    get disabled(): any;
    /**
     * 重置数据提交
     * @protected
     */
    protected resetSubmitCallChaining: CallChaining<SubmitValue> | undefined;
    private permission;
    protected modelTable: ModelTableWidget | undefined;
    protected fieldTable: PermissionTableWidget | undefined;
    private _fieldPermissions;
    private _activeFields;
    initialize(props: any): this;
    protected get tableModelXml(): string;
    protected get tableFieldXml(): string;
    protected initSubview(): Promise<void>;
    protected createModelTableWidget(): Promise<void>;
    protected modelTableRadioChangeHandler(data: ActiveRecord): void;
    protected createFieldTableWidget(): Promise<void>;
    protected fieldTableCheckedChangeHandler(data: ActiveRecord[]): void;
    private searchText;
    private search;
    private batchEnable;
    private batchDisable;
    submit(): Promise<Record<string, unknown>>;
}
